VCD and MPEG Tools – Mac: What are the Technical Specifications?


Donna W. Staff asked 3 years ago

1 Answers
Donna W. Staff answered 4 months ago

To run VCD and MPEG Tools you need:

  • Intel Mac
  • Mac OS X version 10.6 or later